{
	saved_firstTime [1]

	Init[()
	{
		if(saved_firstTime = 1)
		{
			saved_firstTime = 0;
			SetNationality(1);
			SetRunning();
			PlayAnimation(0);

			GiveWeapon(56);
			DropWeaponOnDeath(0);

			ShowEntity( false );
			SetDead( true );
			SetPassable( true );
			UseGravity( false );

			SetID("roofer");

			Delay(Random(1,3),1);
		}
	}]

	DelayReached[ (dy)
	{
		if( dy=1 )
		{
			Kill();
		}
		if( dy=5 )
		{
			Revive();
		}
	}]

	ReachedDestination[ (dest)
	{
		if( dest=5 )
		{
			ShowEntity( false );
			Delay(Random(1,3),5);
		}
	}]

	OnDecay[()
	{
		Revive();
	}]

	Revive[()
	{
		SetDead(false);
		ShowEntity( true );
		UseGravity( false );
		JumpCrack();
	}]

	JumpCrack[()
	{
		xPos = 8064;
		yPos = Random(16500,17500);
		zPos = 0;

		PlayAnimation(0);
		SetRunning();
		SetPosition(xPos,yPos,zPos);
		WalkTo(7219,yPos,5,1);
	}]
}